Bug 33674 - Installing db-3.1.17 leaves behind db.h references at ver 3.1.14, breaking perl DB_File
Summary: Installing db-3.1.17 leaves behind db.h references at ver 3.1.14, breaking pe...
Status: CLOSED DUPLICATE of bug 32665
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: db3   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-28 19:47 UTC by David Macfarlane
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 21:07:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Macfarlane 2001-03-28 19:47:13 UTC
I am running RedHat 7 out of the box on a Dell server.

I used the RedHat website to determine what security advisories require what updates, and I installed a variety of required packages using 
up2date, including db3, rpm, and others. Upon doing this, I found that all perl programs that use DB_File failed with the following error:

DB_File needs compatible versions of libdb & db.h
        you have db.h version 3.1.14 and libdb version 3.1.17

This means that when the .rpm for db3-3.1.17 installed, it didn't handle the (obvious?) dependancy with db.h already installed on the system.

Should I uninstall db3-3.1.17 and install db3-3.1.14? If so, how? Or should I upgrade to db.h version 3.1.17? If so, how?

At this time, all Perl scripts using DB_File (a lot) are NOT WORKING until this is fixed.

Comment 1 David Macfarlane 2001-03-28 21:07:03 UTC
Two additional facts:
(1) This is the exact error message, even though there is NO db.h file on the system. It must be finding something compiled into a library or something 
(I'm guessing here). But you must realize that there isn't any db.h file anywhere (I checked locate and used find), so a db.h file is not the source of the 
problem as such.

(2) I tried installing db3-devel, because it provides a copy of db.h (in /usr/include, I believe). After I installed it (with no errors), I still had the exact same 
problem. So whatever is causing the problem isn't looking for a real copy of db.h in /usr/include.

And a test: I created a one line script: "use DB_File;" and it fails with this error, so it isn't something wrong with my script. Thanks.

Comment 2 Nalin Dahyabhai 2001-04-05 20:17:38 UTC
This should be fixed by the perl-5.6.0-10a errata.  Please reopen this bug if
you find that this is not the case.  Thanks!

*** This bug has been marked as a duplicate of 32665 ***


Note You need to log in before you can comment on or make changes to this bug.